Create a new consignment client activity ad hoc charge

​

Path Parameters

Body·

application/json
  • Integer numbers.

    values
    Rate = 1Fee = 2
  • For rate-based charge applications, rate of charge is used in conjunction with the metric value to determine the overall charge value. For fee-based charge applications, this is the overall value.

  • The ID of the cost centre.

  • For rate-based charge applications, this is the quantity or metric value of the charge and is used in conjunction with the rate to determine the overall charge value. For fee-based charge applications, this is defaulted to 1

  • The particulars of the charge.

  • The ID of the revenue account.

  • The ID of the tax rate.

Responses

  • application/json
Request Example for post/v1/consignments/{consignmentId}/charges/client-activity/adhoc
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/charges/client-activity/adhoc \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "particulars": "handling",
  "revenueAccountId": "00000000-0000-0000-0000-000000000000",
  "costCentreId": "00000000-0000-0000-0000-000000000000",
  "metricValue": 1,
  "chargeApplication": "enum (Rate = 1, Fee = 2)",
  "chargeRateExclTax": 22.5,
  "taxRateId": "00000000-0000-0000-0000-000000000000"
}'
{
  "consignmentChargeId": "00000000-0000-0000-0000-000000000000"
}